Bug 1475257 - New repository button is missing
New repository button is missing
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories (Show other bugs)
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2017-07-26 06:08 EDT by Alexander Braverman
Modified: 2018-03-16 15:10 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexander Braverman 2017-07-26 06:08:13 EDT
Description of problem:
Non-admin users with permission to 'edit_products' in their organization can't see 'create repository' in some products. But they can create a repo by directly browsing to 'https://satellite.redhat.com/products//repositories/new'.

ehelms: "if a repo is in a content view, you cannot delete the product, we seem to be translating that into you cannot 'edit' the product which in turn means you can't create new repositories"

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create content view and add a repo from product X, publish it
2. As non-admin user, go to the product X repositories

Actual results:
No 'create repository' button

Expected results:
'create repository' button

Additional info:
Comment 2 Brad Buckingham 2017-10-06 10:35:39 EDT
With Satellite 6.2.12, it is possible to create a new repository as a non-admin user with the permissions below.  Does this address the issue?

Organization, view_organizations
Product and Repositories, view_products, create_products, edit_products
Comment 3 Alexander Braverman 2017-10-15 04:56:58 EDT
Product and Repositories permission make sense but how is "view_organizations" related to product management?

Note You need to log in before you can comment on or make changes to this bug.